### Method

# Gck Enumerator set_interaction

#### Declaration [src]

    void
    gck_enumerator_set_interaction (
      GckEnumerator* self,
      GTlsInteraction* interaction
    )

#### Description [src]

Set the interaction used when a pin is needed.

Sets property | `Gck.Enumerator:interaction`

#### Parameters

`interaction`

  Type: `GTlsInteraction`

  The interaction or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.